Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.tag
Class HeaderContentTagHandler

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.jboss.portal.theme.tag.HeaderContentTagHandler

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class HeaderContentTagHandler

extends javax.servlet.jsp.tagext.SimpleTagSupport

JSP tag to write the header content set as portlet response property.

Portlets can set a response property to signal to the portal that the provided value should be injected into the head of the response document. This tag is the means to inject that content.

Version:
  $LastChangedRevision: 11754 $, $LastChangedDate: 2008-08-28 11:05:23 +0200 (Thu, 28 Aug 2008) $
Author:

  Constructor Summary
  `HeaderContentTagHandler()`

  Method Summary
  `void` | `doTag()`

  Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### HeaderContentTagHandler

      public HeaderContentTagHandler()

  Method Detail

  ### doTag

      public void doTag()
                 throws javax.servlet.jsp.JspException,
                        java.io.IOException

    Specified by:
      `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
    Throws:
      `javax.servlet.jsp.JspException`
      `java.io.IOException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD